/* jshint indent: 1 */

module.exports = function(sequelize, DataTypes) {
	return sequelize.define('companies', {
		id: {
			type: DataTypes.INTEGER(11),
			allowNull: false,
			primaryKey: true,
			autoIncrement: true,
			field: 'id'
		},
		name: {
			type: DataTypes.STRING(191),
			allowNull: true,
			field: 'name'
		},
		logo: {
			type: DataTypes.STRING(191),
			allowNull: true,
			field: 'logo'
		}
	}, {
		tableName: 'companies',
		createdAt: false,
        updatedAt: false,
	});
};
